KeyStore.CallbackHandlerProtection (Java Platform SE 8 )
Keywords: java.security.KeyStore.CallbackHandlerProtection class
Date: 2018-07-01

compact1, compact2, compact3
java.security

## Class KeyStore.CallbackHandlerProtection

- java.lang.Object
- - java.security.KeyStore.CallbackHandlerProtection

- All Implemented Interfaces:
    KeyStore.ProtectionParameter
  Enclosing class:
    KeyStore

      public static class KeyStore.CallbackHandlerProtection
      extends Object
      implements KeyStore.ProtectionParameter

  A ProtectionParameter encapsulating a CallbackHandler.
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackHandlerProtection(CallbackHandler handler)` Constructs a new CallbackHandlerProtection from a CallbackHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CallbackHandler` | `getCallbackHandler()` Returns the CallbackHandler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackHandlerProtection

          public CallbackHandlerProtection(CallbackHandler handler)

      Constructs a new CallbackHandlerProtection from a CallbackHandler.
      Parameters:
        `handler` - the CallbackHandler
      Throws:
        `NullPointerException` - if handler is null

  - ### Method Detail

    - #### getCallbackHandler

          public CallbackHandler getCallbackHandler()

      Returns the CallbackHandler.
      Returns:
        the CallbackHandler.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.